
TYPO3.Setup - Bug # 43567

Status: Closed Priority: Should have
Author: Felix Muster Category:
Created: 2012-12-04 Assigned To: Karsten Dambekalns
Updated: 2014-06-25 Due date:
Subject: Installation on Windows won't work
Description

Installing TYPO3 Neos on Windows-Machine with XAMPP 1.7.7 (PHP 5.3.8, APACHE 2.2) I get the following error when I open 
http://localhost/TYPO3_Neos/Web/

Uncaught Exception in FlowExecution of subprocess failed with exitcode "1" and output: 

TYPO3\Flow\Core\Booting\Exception\SubProcessException thrown in file
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Scripts.php in line
518.
Reference code: 201212040854478e241a

Go to the FORGE issue tracker and report the issue - if you think it is a bug!

11 TYPO3\Flow\Core\Booting\Scripts::executeCommand("typo3.flow:core:compile", array|15|)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Scripts.php:

00208:    // code cache is completely empty:
00209:   if (!$bootstrap->getContext()->isProduction() || $objectConfigurationCache->has('allCompiledCodeUpToDate') ===
FALSE) {
00210:    self::executeCommand('typo3.flow:core:compile', $settings);
00211:    if (isset($settings['persistence']['doctrine']['enable']) && $settings['persistence']['doctrine']['enable'] === TRUE) {
00212:     self::compileDoctrineProxies($bootstrap);

10 TYPO3\Flow\Core\Booting\Scripts::initializeProxyClasses(TYPO3\Flow\Core\Bootstrap)

9 call_user_func(array|2|, TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Step.php:

00047:   */
00048:  public function __invoke(\TYPO3\Flow\Core\Bootstrap $bootstrap) {
00049:   call_user_func($this->callback, $bootstrap);
00050:  }
00051: 

8 TYPO3\Flow\Core\Booting\Step::__invoke(TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Sequence.php:

00099:   $bootstrap->getSignalSlotDispatcher()->dispatch(__CLASS__, 'beforeInvokeStep', array($step, $this->identifier));
00100:   $identifier = $step->getIdentifier();
00101:   $step($bootstrap);
00102:   $bootstrap->getSignalSlotDispatcher()->dispatch(__CLASS__, 'afterInvokeStep', array($step, $this->identifier));
00103:   if (isset($this->steps[$identifier])) {

7 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Sequence.php:

00103:   if (isset($this->steps[$identifier])) {
00104:    foreach ($this->steps[$identifier] as $followingStep) {
00105:     $this->invokeStep($followingStep, $bootstrap);
00106:    }
00107:   }

6 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Sequence.php:

00103:   if (isset($this->steps[$identifier])) {
00104:    foreach ($this->steps[$identifier] as $followingStep) {
00105:     $this->invokeStep($followingStep, $bootstrap);
00106:    }
00107:   }

5 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Sequence.php:

00083:   if (isset($this->steps['start'])) {
00084:    foreach ($this->steps['start'] as $step) {
00085:     $this->invokeStep($step, $bootstrap);
00086:    }
00087:   }

4 TYPO3\Flow\Core\Booting\Sequence::invoke(TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Http\RequestHandler.php:

00155:  protected function boot() {
00156:   $sequence = $this->bootstrap->buildRuntimeSequence();
00157:   $sequence->invoke($this->bootstrap);
00158:  }
00159: 

3 TYPO3\Flow\Http\RequestHandler::boot()
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Http\RequestHandler.php:

00111:   $this->response = new Response();
00112: 
00113:   $this->boot();
00114:   $this->resolveDependencies();
00115:   $this->request->injectSettings($this->settings);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Bootstrap.php:

00110: 
00111:   $this->activeRequestHandler = $this->resolveRequestHandler();
00112:   $this->activeRequestHandler->handleRequest();
00113:  }
00114: 
1 TYPO3\Flow\Core\Bootstrap::run()
C:\xampp\htdocs\TYPO3_Neos\Web\index.php:

00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();
00028: 
00029: ?>

I tried to fix this following this post:
http://t3n.de/news/typo3-neos-10-alpha1-erste-418679/#comment-88953

But don't work...

What's wrong?

History
#1 - 2012-12-05 09:38 - Felix Muster

I followed this insctruction (forgot some hardlinks to php.exe)
but at 1. I can't find the symlinks in local policies.

I use XP is that a problem?

Stack trace:
#0 C:\xampp\htdocs\TYPO3_Neos\Packages\Vendor\symfony\yaml\Symfony\Component\Yaml\Parser.php(179):
Symfony\Component\Yaml\Parser->getNextEmbedBlock()
#1 C:\xampp\htdocs\TYPO3_Neos\Packages\Vendor\symfony\yaml\Symfony\Component\Yaml\Parser.php(179):
Symfony\Component\Yaml\Parser->parse('Flow:?  persist...')
#2 C:\xampp\htdocs\TYPO3_Neos\Packages\Vendor\symfony\yaml\Symfony\Component\Yaml\Yaml.php(82):
Symfony\Component\Yaml\Parser->parse('#              ...')
#3 C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Configuration\Source\YamlSource.php(36):
Symfony\Component\Yaml\Yaml::parse('C:/xampp/htdocs...')
#4 C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flo in
C:\xampp\htdocs\TYPO3_Neos\Packages\Vendor\symfony\yaml\Symfony\Component\Yaml\Parser.php on line 329
[05-Dec-2012 09:33:44] PHP Fatal error:  Call to undefined function TYPO3\Flow\Resource\Publishing\symlink() in
C:\xampp\htdocs\TYPO3_Neos\Data\Temporary\Development\Cache\Code\Flow_Object_Classes\TYPO3_Flow_Resource_Publishing_FileSystemPublishingTarget_Original.php on line 116

stemPublishingTarget_Original.php on line 116

the error meassge also changes a bit:

Uncaught Exception in FlowExecution of subprocess failed with exitcode "255" and output: 

TYPO3\Flow\Core\Booting\Exception\SubProcessException thrown in file
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Scripts.php in line 518.
Reference code: 201212050932247bc8c8

Go to the FORGE issue tracker and report the issue - if you think it is a bug!

12 TYPO3\Flow\Core\Booting\Scripts::executeCommand("typo3.flow:doctrine:compileproxies", array|15|)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Scripts.php:

00432:    $coreCache->set('doctrineSetupRunning', 'White Russian', array(), 60);
00433:    $systemLogger->log('Compiling Doctrine proxies', LOG_DEBUG);
00434:    self::executeCommand('typo3.flow:doctrine:compileproxies', $settings);
00435:    $coreCache->remove('doctrineSetupRunning');
00436:    $objectConfigurationCache->set('doctrineProxyCodeUpToDate', TRUE);

11 TYPO3\Flow\Core\Booting\Scripts::compileDoctrineProxies(TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Scripts.php:

00210:    self::executeCommand('typo3.flow:core:compile', $settings);
00211:    if (isset($settings['persistence']['doctrine']['enable']) && $settings['persistence']['doctrine']['enable'] === TRUE) {
00212:     self::compileDoctrineProxies($bootstrap);
00213:    }
00214:   }

10 TYPO3\Flow\Core\Booting\Scripts::initializeProxyClasses(TYPO3\Flow\Core\Bootstrap)

9 call_user_func(array|2|, TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Step.php:

00047:   */
00048:  public function __invoke(\TYPO3\Flow\Core\Bootstrap $bootstrap) {
00049:   call_user_func($this->callback, $bootstrap);
00050:  }
00051: 

8 TYPO3\Flow\Core\Booting\Step::__invoke(TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Sequence.php:

00099:   $bootstrap->getSignalSlotDispatcher()->dispatch(__CLASS__, 'beforeInvokeStep', array($step, $this->identifier));
00100:   $identifier = $step->getIdentifier();
00101:   $step($bootstrap);
00102:   $bootstrap->getSignalSlotDispatcher()->dispatch(__CLASS__, 'afterInvokeStep', array($step, $this->identifier));
00103:   if (isset($this->steps[$identifier])) {

7 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Sequence.php:

00103:   if (isset($this->steps[$identifier])) {
00104:    foreach ($this->steps[$identifier] as $followingStep) {
00105:     $this->invokeStep($followingStep, $bootstrap);
00106:    }
00107:   }

6 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Sequence.php:

00103:   if (isset($this->steps[$identifier])) {
00104:    foreach ($this->steps[$identifier] as $followingStep) {
00105:     $this->invokeStep($followingStep, $bootstrap);
00106:    }
00107:   }

5 TYPO3\Flow\Core\Booting\Sequence::invokeStep(TYPO3\Flow\Core\Booting\Step, TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Booting\Sequence.php:

00083:   if (isset($this->steps['start'])) {
00084:    foreach ($this->steps['start'] as $step) {
00085:     $this->invokeStep($step, $bootstrap);
00086:    }
00087:   }

4 TYPO3\Flow\Core\Booting\Sequence::invoke(TYPO3\Flow\Core\Bootstrap)
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Http\RequestHandler.php:

00155:  protected function boot() {
00156:   $sequence = $this->bootstrap->buildRuntimeSequence();
00157:   $sequence->invoke($this->bootstrap);
00158:  }
00159: 

3 TYPO3\Flow\Http\RequestHandler::boot()
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Http\RequestHandler.php:

00111:   $this->response = new Response();
00112: 
00113:   $this->boot();
00114:   $this->resolveDependencies();
00115:   $this->request->injectSettings($this->settings);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()
C:\xampp\htdocs\TYPO3_Neos\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Core\Bootstrap.php:

00110: 
00111:   $this->activeRequestHandler = $this->resolveRequestHandler();
00112:   $this->activeRequestHandler->handleRequest();
00113:  }
00114: 

1 TYPO3\Flow\Core\Bootstrap::run()
C:\xampp\htdocs\TYPO3_Neos\Web\index.php:

00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();
00028: 
00029: ?>

#2 - 2012-12-14 19:46 - Mattias Nilsson

Hi Felix,
The main problem is that you should use Windows 7 as a minimum because of it handles symbolic links much better (still not good enough) than
Windows XP. If you have a look at this instructions regarding Windows: http://wiki.typo3.org/Flow_Installation_Hints, check the section "Running on
Windows OS's".

With regards
/Mattias

#3 - 2012-12-17 17:14 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To set to Karsten Dambekalns

Windows XP is not supported. Sorry.
